repo/gentoo:master commit in: dev-python/bitarray/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786169235.41ffcfcc7ec4fc5eb11a6a081b057ac7d27f2b4b.mgorny@gentoo>
commit:     41ffcfcc7ec4fc5eb11a6a081b057ac7d27f2b4b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  8 05:29:15 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 06:07:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41ffcfcc

dev-python/bitarray: Bump to 3.10.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/bitarray/Manifest               |  1 +
 dev-python/bitarray/bitarray-3.10.1.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/dev-python/bitarray/Manifest b/dev-python/bitarray/Manifest
index 75f0e9c16517..f141d5f40a52 100644
--- a/dev-python/bitarray/Manifest
+++ b/dev-python/bitarray/Manifest
@@ -1,3 +1,4 @@
 DIST bitarray-3.10.0.tar.gz 168648 BLAKE2B 15cc29c64c29e6f71a90f3d7388808f267787c4e0a5cd46ea35a739785ca0bd30b8f7aa7d2b9d21a279f31e9cc1edf86548d4642e7c03b026eaf2e6f9ae4ec42 SHA512 ea26323636db4571cb57bf64a3bb274f27cb412e8e8c92c095b9541a418906a69efd77e229385c919cf80485895b4a62cf20e8dda4a2bf45c108919366c2fcf0
+DIST bitarray-3.10.1.tar.gz 168648 BLAKE2B 12b22225a86c93db32dc70854c17a5046fd0ec2baa6686edea9c0cb795ce0714713c7c8f3964714d16a59ee8343636b68a0da4d54f35233df904d954b2e6f76a SHA512 330881a94c31f51501b9ab610b6567e6c347e17833cb882d7268281ee876da41bea7242ce061633eca8fd1a5826fedab7dba313aa896d4579335037b9a0afead
 DIST bitarray-3.8.2.tar.gz 153516 BLAKE2B c643c2152bf8533a97b6f93116446958927a8ec0f73f191e7e48ed262beda701050231a33e23f96cd3e1f915c2b8e1f807e3105456dd370e7c3c0383d8b41a89 SHA512 fed909f53005b747c0df2cb2a3bbe64a76fc29f8cfe11ee93d441d694378dd42993ade28acb14b9d12efec73339536294806e1a8e8a9390a5c868557b7a7c344
 DIST bitarray-3.9.2.tar.gz 160932 BLAKE2B 41bd8f964644df43aaa53d3f247d56d7eb313d65b7cc2f0b90215e58c9adc1d6d39254c24d4002da03d433958039818f29e952c6c95f5a971154300975792a75 SHA512 6d7c7dab22a7fdc3d4e6db3e0c582565470063de9e05baa572d5a059d0ea01bd5dc07e72a7c5ba29b37bfde5f78f2eafa7074752f67ad87d624dddfd3bff1a95

diff --git a/dev-python/bitarray/bitarray-3.10.1.ebuild b/dev-python/bitarray/bitarray-3.10.1.ebuild
new file mode 100644
index 000000000000..fa99807f8507
--- /dev/null
+++ b/dev-python/bitarray/bitarray-3.10.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Efficient arrays of booleans -- C extension"
+HOMEPAGE="
+	https://github.com/ilanschnell/bitarray/
+	https://pypi.org/project/bitarray/
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+python_test() {
+	"${EPYTHON}" bitarray/test_bitarray.py -v || die "Tests fail with ${EPYTHON}"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.